Commit a51bce58 authored by Jaromil's avatar Jaromil

first systemd extirpation

parent d82a4fcf
util-linux (2.25.2-4.1+devuan1) jessie; urgency=medium
* Import in Devuan
* debian/*: systemd extirpation
-- Denis Roio <jaromil@dyne.org> Sun, 08 Feb 2015 01:03:52 +0000
util-linux (2.25.2-4.1) unstable; urgency=medium
* Non-maintainer upload.
......
......@@ -5,30 +5,24 @@ Build-Depends: autoconf,
debhelper (>= 9),
dh-autoreconf,
dh-exec (>= 0.13),
dh-systemd (>= 1.5),
dpkg-dev (>=1.16.0),
gettext,
libncurses5-dev,
libpam0g-dev,
libselinux1-dev [linux-any],
libslang2-dev (>=2.0.4),
libsystemd-dev [linux-any],
libtool,
lsb-release,
pkg-config,
po-debconf,
systemd [linux-any],
zlib1g-dev
Section: base
Priority: required
Maintainer: Debian util-linux Maintainers <ah-util-linux@debian.org>
Uploaders: Scott James Remnant <scott@ubuntu.com>,
LaMont Jones <lamont@debian.org>,
Andreas Henriksson <andreas@fatal.se>,
Adam Conrad <adconrad@0c3.net>
Maintainer: Denis Roio <jaromil@dyne.org>
Uploaders: Franco Lanza <nextime@devuan.org>
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pkg-util-linux.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-util-linux.git
Vcs-Browser: https://git.devuan.org/packages-base/util-linux
Vcs-Git: https://git.devuan.org/packages-base/util-linux.git
Package: util-linux
Architecture: any
......
......@@ -4,10 +4,6 @@
dev=$1
if [ -e /run/systemd/system ] ; then
exit 0
fi
if [ -e /run/udev/hwclock-set ]; then
exit 0
fi
......
......@@ -12,7 +12,7 @@ ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --enable-raw
CONFOPTS += --with-selinux
CONFOPTS += --enable-partx
CONFOPTS += --with-systemd
CONFOPTS += --without-systemd
CONFOPTS += --enable-tunelp
endif
......@@ -45,7 +45,7 @@ else
endif
%:
dh $@ --with autoreconf,systemd
dh $@ --with autoreconf
override_dh_autoreconf:
AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh
......
......@@ -10,8 +10,6 @@ debian/tmp/usr/bin/rename => /usr/bin/rename.ul
[linux-any] sbin/mkswap
[!linux-any] debian/tmp/sbin/mkswap => /sbin/mkswap.linux
# weekly fstrim only available on linux
[linux-any] lib/systemd/system/fstrim.timer => /usr/share/doc/util-linux/examples/fstrim.timer
[linux-any] lib/systemd/system/fstrim.service => /usr/share/doc/util-linux/examples/fstrim.service
bin/more
sbin/agetty
sbin/blkid
......
......@@ -3,11 +3,11 @@ set -e
# We once shipped fstrim.timer in 2.25.2-2. Undo the timer getting enabled
# and purge the helper state, if upgrading from that version.
if [ "$1" = "upgrade" ] && [ "$2" = "2.25.2-2" ] && \
[ -x /usr/bin/deb-systemd-helper ] && \
deb-systemd-helper debian-installed fstrim.timer; then
deb-systemd-helper disable fstrim.timer
deb-systemd-helper purge fstrim.timer
fi
# if [ "$1" = "upgrade" ] && [ "$2" = "2.25.2-2" ] && \
# [ -x /usr/bin/deb-systemd-helper ] && \
# deb-systemd-helper debian-installed fstrim.timer; then
# deb-systemd-helper disable fstrim.timer
# deb-systemd-helper purge fstrim.timer
# fi
#DEBHELPER#
#!/usr/bin/dh-exec
lib/systemd/system/uuidd.* [linux-any]
usr/bin/uuidgen
usr/sbin/uuidd
usr/share/man/man1/uuidgen.*
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment